# API Reference

- [Overview](https://docs.maildrop.cc/api-reference/overview.md): This page gives you all the information you need to start connecting to the Maildrop API and performing queries.
- [Rate Limiting](https://docs.maildrop.cc/api-reference/rate-limiting.md): This page provides information about the Maildrop API service limits.
- [GraphQL API Schema](https://docs.maildrop.cc/api-reference/graphql-api-schema.md): This page provides general information about GraphQL and the reference schema for Maildrop.
- [Get a Mailbox Listing](https://docs.maildrop.cc/api-reference/get-a-mailbox-listing.md): This is the GraphQL query to run in order to get a list of all messages inside a mailbox.
- [Get a Specific Message](https://docs.maildrop.cc/api-reference/get-a-specific-message.md): This is the GraphQL query to run when you want to get the body and html of a particular message.
- [Delete a Message](https://docs.maildrop.cc/api-reference/delete-a-message.md): This is the GraphQL mutation to run when you want to delete a message from a mailbox.
- [Get a Mailbox Alias](https://docs.maildrop.cc/api-reference/get-a-mailbox-alias.md): This is the GraphQL query to run when you want to get the mailbox alias for a given mailbox.
- [Maildrop Statistics](https://docs.maildrop.cc/api-reference/maildrop-statistics.md): This is the GraphQL query to run when you want to see overall statistics about Maildrop emails.
- [Service Status](https://docs.maildrop.cc/api-reference/service-status.md): This is the GraphQL query to run to return a simple boolean of whether Maildrop is functioning or not.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.maildrop.cc/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
